> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tts.monster/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get information about the users subscription.

### Header

<ParamField header="Authorization" type="string" placeholder="ttsm_12345-abcdef" required>
  Add your API token here. You can find it by reading the [/authentication](/authentication) page.
</ParamField>

### Response

Although the `character_usage` and `character_allowance` fields will always be available through this endpoint, other fields are added here for transparency and may be added or removed without notice.

<ResponseField name="character_usage" type="number" required>
  The character usage for the current billing period.
</ResponseField>

<ResponseField name="character_allowance" type="number" required>
  The character allowance for the current billing period.
</ResponseField>

<ResponseField name="current_plan" type="string">
  The current active plan of the user.
</ResponseField>

<ResponseField name="downgrading_to_plan" type="string">
  The name of the plan being downgraded to, if applicable.
</ResponseField>

<ResponseField name="has_payment_method" type="boolean">
  Whether the user has a payment method attached to their account.
</ResponseField>

<ResponseField name="portal_url" type="string">
  Direct link to the Stripe Portal to make changes to the payment method.
</ResponseField>

<ResponseField name="renewal_time" type="number">
  UNIX timestamp of when the subscription will be renewed.
</ResponseField>

<ResponseField name="status" type="string">
  Current status of the subscription.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl -X POST https://api.console.tts.monster/user \
  -H "Authorization: ttsm_12345-abcdef"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "current_plan": "free",
    "status": "active",
    "renewal_time": 1727392003,
    "character_usage": 145892,
    "character_allowance": 500000,
    "portal_url": "https://billing.stripe.com/p/session/live_12345",
    "has_payment_method": true,
    "downgrading_to_plan": null
  }
  ```
</ResponseExample>
